Subject: Re: bug#15469: 24.3; emacsclient -c fails to grab focus when asking“Revert buffer from file?”

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Dec 2020 17:32:29 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 06 Dec 2020 16:27:30 +0100
> Cc: [email-masked]
> 
> > 1. emacs -Q /tmp/foo
> > 2. M-x server-start
> > 3. Type some text into the buffer; do not save.
> > 4. Click outside the Emacs window to unfocus it.
> > 5. Click inside the Emacs window to focus it.
> > 6. Click outside the Emacs window to unfocus it.
> > 7. Modify /tmp/foo outside Emacs.
> > 8. emacsclient -c /tmp/foo
> > 9. An _unfocused_ Emacs window pops up to ask “Revert buffer from file
> > /tmp/foo?”.
> 
> (This bug report unfortunately got no response at the time.)
> 
> I can confirm that this bug is still present in Emacs 28, but I have not
> tried to debug it.  Anybody with a guess at what's going on?

We ask the question before we switch to the new frame, so I guess the
question appears in the previous frame?